Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.services
Interface ConceptRetrievalFunctionality

public interface ConceptRetrievalFunctionality

Method Summary
`ResultList` | `doQuery(java.util.ArrayList alQueryParameters)` Submit a natural language, Boolean, bracketed Boolean, keyword, field or fuzzy query to IDOL.
`ResultList` | `doQuery(java.lang.String sQueryText, java.util.ArrayList alQueryParameters)` Submit a natural language, Boolean, bracketed Boolean, keyword, field or fuzzy query to IDOL.
`ResultList` | `doSuggestOnText(java.util.ArrayList alQueryParameters)` Allows you to suggest documents that are conceptually similar to the terms with the highest weighting in your query.
`ResultList` | `getContent(java.util.ArrayList alDocuments, java.util.ArrayList alGetContentParameters)` Retrieve the content of the specified documents.
`java.util.ArrayList` | `getDocumentFieldsForType(java.lang.String sType)` Returns the names of all fields of the specified type that are stored in IDOL.
`java.util.ArrayList` | `getPossibleDocumentFieldValues(java.lang.String sFieldName, java.util.Hashtable restrictions, java.util.ArrayList alActionParameters)` Returns the all the availalbe values for a specified field stored in IDOL.

Method Detail

### doQuery

    public ResultList doQuery(java.lang.String sQueryText,
                              java.util.ArrayList alQueryParameters)
                       throws AciException,
                              IDOLException

  Submit a natural language, Boolean, bracketed Boolean, keyword, field or fuzzy query to IDOL.

  Parameters:
    `sQueryText` - the query text that documents must match to be retrieved.
    `alQueryParameters` - an `ArrayList` of `ActionParameters`s giving all other parameters to send with the query. Can be `null`.
  Returns:
    the documents matching the query.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### doQuery

    public ResultList doQuery(java.util.ArrayList alQueryParameters)
                       throws AciException,
                              IDOLException

  Submit a natural language, Boolean, bracketed Boolean, keyword, field or fuzzy query to IDOL.

  Parameters:
    `alQueryParameters` - an `ArrayList` of `ActionParameters`s specifying all the query parameters to send with the query. These must include either a Text and/or a FieldText parameter.
  Returns:
    the documents matching the query.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### doSuggestOnText

    public ResultList doSuggestOnText(java.util.ArrayList alQueryParameters)
                               throws AciException,
                                      IDOLException

  Allows you to suggest documents that are conceptually similar to the terms with the highest weighting in your query. Uses the SuggestOnText action to query IDOL Server.

  Parameters:
    `alQueryParameters` - an `ArrayList` of `ActionParameters`s specifying all the query parameters to send with the query. These must include either a Text and/or a FieldText parameter.
  Returns:
    the documents matching the query.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### getContent

    public ResultList getContent(java.util.ArrayList alDocuments,
                                 java.util.ArrayList alGetContentParameters)
                          throws AciException,
                                 IDOLException

  Retrieve the content of the specified documents.

  Parameters:
    `alDocuments` - an `ArrayList` of `Document`s whose content is required. The `Document` objects must have at least the document reference set.
    `alGetContentParameters` - an `ArrayList` of `ActionParameters`s giving all other parameters to send with the getcontent action. Can be `null`.
  Returns:
    the documents entries for the specified documents together with their content.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### getDocumentFieldsForType

    public java.util.ArrayList getDocumentFieldsForType(java.lang.String sType)
                                                 throws AciException,
                                                        IDOLException

  Returns the names of all fields of the specified type that are stored in IDOL.

  Parameters:
    `sType` - the field type to be returned, as defined in the IDOL online help for the GetTagNames action. Can be null or empty string in which case all fields are returned.
  Returns:
    an `ArrayList` of `String`s giving the available fields.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

### getPossibleDocumentFieldValues

    public java.util.ArrayList getPossibleDocumentFieldValues(java.lang.String sFieldName,
                                                              java.util.Hashtable restrictions,
                                                              java.util.ArrayList alActionParameters)
                                                       throws AciException,
                                                              IDOLException

  Returns the all the availalbe values for a specified field stored in IDOL.

  Parameters:
    `sFieldName` - the field name to be returned, as defined in the IDOL online help for the GetTagValues action. This field must be defined as being of parametric type in the IDOL configuration.
    `restrictions` - one for more fields that restrict the list of possible values returned.
    `alActionParameters` - an `ArrayList` of `ActionParameters`s giving all other parameters to send with the action. Can be `null`.
  Returns:
    an `ArrayList` of `String`s giving the available field values.
  Throws:
    `IDOLException` - if there was an IDOL specific error when making the request.
    `AciException` - if there was an error when making the request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD